
use strict;
use Getopt::Long;
use Math::Random::MT qw(srand rand);
binmode STDIN;
binmode STDOUT;

my ($sample_size) = ();
GetOptions('n=i' => \$sample_size) or die "Can't parse command line arguments\n";
if (!defined $sample_size) { die "Sample size is not specified - please use --n option\n"; }

my (@names,@data,@use);
my ($i) = (-1);
while (<STDIN>)
{
    s/[\x0D\x0A]+$//;
    if (substr($_,0,1) eq '>') { $i++; $names[$i] = substr($_,1); next; }
    if ($i < 0) { next; }
    $data[$i] .= $_;
}
my $n = $i+1;

if ($n <= $sample_size) { for ($i=0; $i<$n; $i++) { print_seq($i); } }
else
{
    if ($sample_size < $n / 2)
    {
        @use = (0) x $n;
        for (my $k=0; $k<$sample_size; $k++) { do { $i = int(rand($n)); } while ($use[$i]); $use[$i] = 1; }
    }
    else
    {
        @use = (1) x $n;
        my $unsampled_size = $n - $sample_size;
        for (my $k=0; $k<$unsampled_size; $k++) { do { $i = int(rand($n)); } while (!$use[$i]); $use[$i] = 0; }
    }
    for ($i=0; $i<$n; $i++) { if ($use[$i]) { print_seq($i); } }
}

sub print_seq { my ($j) = @_; print '>', $names[$j], "\n", $data[$j], "\n"; }
