#!/usr/bin/env perl
#
# This script is a part of Genome Search Toolkit
# Copyright (c) 2016 Kirill Kryukov
# see LICENSE.txt for details.
#

use strict;
use warnings;
use Getopt::Long;

binmode STDIN;
binmode STDOUT;

my $min_score = 0;
GetOptions(
    'min-score=f' => \$min_score
)
or die "Can't parse command line arguments\n";

while (<STDIN>)
{
    if (!/\t(\S+)\n$/) { die "Can't parse \"$_\"\n"; }
    if ($1 >= $min_score) { print $_; }
}
