#!/usr/bin/env perl
#
# This script is a part of Genome Search Toolkit
# Copyright (c) 2016 Kirill Kryukov
# see LICENSE.txt for details.
#

use strict;
use warnings;

binmode STDIN;
binmode STDOUT;

my ($last_qname,$best_score) = ('',0);
while (<STDIN>)
{
    s/[\x0D\x0A]+$//;
    my @fields = split(/\s+/,$_);
    my $qname = $fields[0];
    my $score = $fields[scalar(@fields)-1];
    if ($qname ne $last_qname) { $last_qname = $qname; $best_score = $score; }
    if ($score < $best_score) { next; }
    print $_, "\n";
}
