#!/usr/bin/env perl
#
# This script is a part of Genome Search Toolkit
# Copyright (c) 2016 Kirill Kryukov
# see LICENSE.txt for details.
#

use strict;
use warnings;

binmode STDIN;
binmode STDOUT;

my ($hit,$qname,$score) = ('','',0);
while (<STDIN>)
{
    s/[\x0D\x0A]+$//;
    my @fields = split(/\s+/,$_);
    my $qn = $fields[0];
    my $sc = $fields[scalar(@fields)-1];
    if ($qn eq $qname) { if ($sc > $score) { ($hit,$score) = ($_,$sc); } }
    else { if ($hit ne '') { print $hit, "\n"; } ($hit,$qname,$score) = ($_,$qn,$sc); next; }
}
if ($hit ne '') { print $hit, "\n"; }
