#!/usr/bin/env perl
#
# This script is a part of Genome Search Toolkit
# Copyright (c) 2014 Kirill Kryukov
# see LICENSE.txt for details.
#
# This script reads a non-cumulative taxonomic classification file.
# (Format: Number of reads, taxid)
#

use strict;
use warnings;
use FindBin;
use lib "$FindBin::Bin";
use gst_utils;

gst_init();
if (@opts) { die "Unrecognized option \"$opts[0]\"\n"; }

binmode STDIN;
binmode STDOUT;

while (<STDIN>)
{
    if (substr($_,0,1) eq '#') { next; }
    if ($_ !~ /^(\d+|\d+\.\d+)\s+(\d+)/) { die "Can't parse \"$_\"\n"; }


    my $i = index($_,' ');
    if ($i < 0) { die "Can't parse \"$_\"\n"; }
    my $nreads = substr($_,0,$i);
    my $rest = substr($_,$i+1);
    if ($rest !~ /^(\d+)/) { die "Can't parse \"$_\"\n"; }
    my $taxid = $1;
    print "$nreads\t$taxid\n";
}
