#!/usr/bin/env perl
#
# This script is a part of Genome Search Toolkit
# Copyright (c) 2015 Kirill Kryukov
# see LICENSE.txt for details.
#

use strict;
use warnings;
use FindBin;
use lib "$FindBin::Bin";
use gst_utils;

gst_init();

read_genome_info();
if (defined($use_db_taxa)) { load_genome_taxonomy(); }
mark_genomes_to_use_by_taxa();

binmode STDOUT;

foreach my $gname (
    sort
    {
        my ($aa,$bb) = (unescape_file_name($a),unescape_file_name($b));
        $aa cmp $bb;
    }
    grep { $genomes{$_}->{'use'} } keys %genomes)
{
    print unescape_file_name($gname), "\n";
}
